### Function Macro

# GObject TYPE_FROM_INTERFACE

since: 2.0

#### Declaration

    #define G_TYPE_FROM_INTERFACE (
      g_iface
    )

#### Description

Get the type identifier from a given `interface` structure.

This macro should only be used in type implementations.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`g_iface`

  Type: `-`

  Location of a valid `GTypeInterface` structure.